<%@ Page Language="C#" AutoEventWireup="true" CodeFile="LoadingMessage_basedon_control.aspx.cs"
    Inherits="Default7" %>
<%@ Register Assembly="RadAjax.Net2" Namespace="Telerik.WebControls" TagPrefix="radA" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <!--The LoadingPanel must be the first control on the page in order to register 
    itself so we can get its object in javascript. The MinDisplayTime is set to 1,5 sec in order for the 
    LoadingPanel to be still visible when the OnResponseEnd event returns -->
        
        <radA:AjaxLoadingPanel ID="AjaxLoadingPanel1" runat="server" Height="75px" Width="75px"
            MinDisplayTime="1500">
            <asp:Label ID="Label2" runat="server" Text="Label" BackColor="Silver" BorderColor="Red"
                BorderStyle="Solid" Font-Bold="True" Font-Size="Larger"></asp:Label>
            <!-- We use an invisible PRE tag to help us find the loading panel and the label 
            (if you use pre tag in your html, you can replace it with any tag you do not use). -->
            <pre style="display: none" class="labelMarker"></pre>
        </radA:AjaxLoadingPanel>

        <script type="text/javascript">
            function SetLoadingMessage(message)
            {
                var pres = document.getElementsByTagName("pre");
            /*this is required in order to replace the content of all LoadingPanels*/
                for (var i = 0; i < pres.length; i++)
                {
                    var pre = pres[i];
                    
                    if (pre.className == "labelMarker")
                    {
                        var loadingPanel = pre.parentNode;
                        var label = loadingPanel.getElementsByTagName("span")[0];
                        label.innerHTML = message;
                    }
                }
            }
            
            function Start(sender, arguments)
            {
                if (arguments.EventTarget == "<%= Button1.UniqueID %>")
                {
                    SetLoadingMessage("Step 1 has started");
                }
                if (arguments.EventTarget == "<%= Button2.UniqueID %>")
                {
                    SetLoadingMessage("Step 2 has started");
                }
                  if (arguments.EventTarget == "<%= Button3.UniqueID %>")
                {
                    SetLoadingMessage("Step 3 has started");
                }
            }
            
             function End(sender, arguments)
            {
                if (arguments.EventTarget == "<%= Button1.UniqueID %>")
                {
                    SetLoadingMessage("Step 1 has finished");
                }
                if (arguments.EventTarget == "<%= Button2.UniqueID %>")
                {
                    SetLoadingMessage("Step 2 has finished");
                }
                  if (arguments.EventTarget == "<%= Button3.UniqueID %>")
                {
                    SetLoadingMessage("Step 3 has finished");
                }
            }
            
        </script>

        <br />
        <br />
        <table>
            <tr>
                <td style="width: 100px">
                    <asp:Button ID="Button1" runat="server" Text="Step 1" OnClick="Button1_Click" />
                    <asp:Button ID="Button2" runat="server" Text="Step 2" OnClick="Button2_Click" />
                    <asp:Button ID="Button3" runat="server" Text="Step 3" OnClick="Button3_Click" /></td>
                <td style="width: 100px">
                    <asp:Label ID="Label1" runat="server" Text="Label"></asp:Label></td>
            </tr>
        </table>
        &nbsp;<br />
        <br />
        <radA:RadAjaxManager ID="RadAjaxManager1" runat="server" DefaultLoadingPanelID="AjaxLoadingPanel1">
            <AjaxSettings>
                <radA:AjaxSetting AjaxControlID="Button1">
                    <UpdatedControls>
                        <radA:AjaxUpdatedControl ControlID="Label1" />
                    </UpdatedControls>
                </radA:AjaxSetting>
                <radA:AjaxSetting AjaxControlID="Button2">
                    <UpdatedControls>
                        <radA:AjaxUpdatedControl ControlID="Label1" />
                    </UpdatedControls>
                </radA:AjaxSetting>
                <radA:AjaxSetting AjaxControlID="Button3">
                    <UpdatedControls>
                        <radA:AjaxUpdatedControl ControlID="Label1" />
                    </UpdatedControls>
                </radA:AjaxSetting>
            </AjaxSettings>
            <ClientEvents OnRequestStart="Start" OnResponseEnd="End" />
        </radA:RadAjaxManager>
    </form>
</body>
</html>
